#ifndef MOUSEAPIEXAMPLE_H
#define MOUSEAPIEXAMPLE_H

#include "OrxonoxPrereqs.h"
#include "core/XMLPort.h"
#include "mouseapi.h"
#include "util/output/OutputManager.h"
#include "util/output/ConsoleWriter.h"
#include "worldentities/ControllableEntity.h"
#include "core/CoreIncludes.h"
#include <list>
#include <stdlib.h>

namespace orxonox
{
class MouseAPIExample : public ControllableEntity
{
public:
    MouseAPIExample(Context *context);
    ~MouseAPIExample();
    virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
    void changesizeonclick(MouseButtonCode::ByEnum mouse);
    void changesizeonscroll(int abs,int rel,const IntVector2& mousePos);
    static std::list<MouseAPIExample> blocks;
    ClickableObjectID cubeid;
    ScrollableElementID sphereid;
};
}
#endif // MOUSEAPIEXAMPLE_H
